/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.store.bdb;

import junit.framework.TestCase;
import org.activemq.broker.impl.DefaultBroker;
import org.activemq.store.PersistenceAdapter;
import org.activemq.store.TransactionStore;

import javax.jms.JMSException;
import java.io.File;

/**
 * @version $Revision: 1.1 $
 */
public class PersistenceAdapterTest extends TestCase {
    private PersistenceAdapter persistenceAdapter;
    private TransactionStore preparedTransactionStore;


    public void testStartAndStop() throws Exception {
        if (persistenceAdapter == null) {
            persistenceAdapter = createPersistenceAdapter();
        }
        persistenceAdapter.start();

        preparedTransactionStore = persistenceAdapter.createTransactionStore();
        preparedTransactionStore.start();


        // now lets shut down
        preparedTransactionStore.stop();
        persistenceAdapter.stop();
    }

    public void testStartAndStopOfBroker() throws Exception {
        DefaultBroker broker = new DefaultBroker("dummy");
        broker.setPersistenceAdapter(createPersistenceAdapter());
        broker.start();
        broker.stop();
    }


    private PersistenceAdapter createPersistenceAdapter() throws JMSException {
        File dir = new File("target/bdbtest/");
        return BDbPersistenceAdapter.newInstance(dir);
    }
}